<configuration name="switch.conf" description="Core Configuration">

  <cli-keybindings>
    <key name="1" value="help"/>
    <key name="2" value="status"/>
    <key name="3" value="show channels"/>
    <key name="4" value="show calls"/>
    <key name="5" value="sofia status"/>
    <key name="6" value="reloadxml"/>
    <key name="7" value="console loglevel 0"/>
    <key name="8" value="console loglevel 7"/>
    <key name="9" value="sofia status profile internal"/>
    <key name="10" value="sofia profile internal siptrace on"/>
    <key name="11" value="sofia profile internal siptrace off"/>
    <key name="12" value="version"/>
  </cli-keybindings> 
  
  <settings>
    <!-- LOGGING AND DEBUGGING -->
    <param name="colorize-console" value="true"/>
    <param name="dialplan-timestamps" value="false"/>
    <param name="loglevel" value="debug"/> <!-- Default Global Log Level - value is one of debug,info,notice,warning,err,crit,alert -->
    <!-- <param name="debug-level" value="10"/> --> <!-- Set the core DEBUG level (0-10) -->
    <!-- <param name="verbose-channel-events" value="no"/> -->
    <param name="dump-cores" value="no"/>

    <!-- PERFORMANCE -->
    <param name="max-db-handles" value="50"/>
    <param name="db-handle-timeout" value="10"/>
    <!-- <param name="min-idle-cpu" value="25"/> --> <!-- Minimum idle CPU before refusing calls -->
    <param name="max-sessions" value="1000"/> 
    <param name="sessions-per-second" value="30"/> <!--Most channels to create per second -->
    <!-- <param name="event-heartbeat-interval" value="20"/> --> <!-- Interval between heartbeat events -->
    <!-- <param name="enable-clock-nanosleep" value="true"/> --> <!-- Enable clock nanosleep -->
    <!-- <param name="enable-monotonic-timing" value="true"/> --> <!-- Enable monotonic timing -->
    <!-- <param name="enable-softtimer-timerfd" value="true"/> -->
    <!-- <param name="enable-cond-yield" value="true"/> -->
    <!-- <param name="enable-timer-matrix" value="true"/> -->
    <!-- <param name="threaded-system-exec" value="true"/> -->
    <!-- <param name="tipping-point" value="0"/> -->
    <!-- <param name="timer-affinity" value="disabled"/> -->

    <!-- RTP port range -->
    <!-- <param name="rtp-start-port" value="16384"/> -->
    <!-- <param name="rtp-end-port" value="32768"/> -->
    <!-- <param name="rtp-port-usage-robustness" value="true"/> --> <!-- Test each port to make sure it is not in use by some other process before allocating it to RTP -->
    <param name="rtp-enable-zrtp" value="false"/>

    <!-- The system will create all the db schemas automatically, set this to false to avoid this behaviour -->
    <!-- <param name="auto-create-schemas" value="true"/> -->
    <!-- <param name="auto-clear-sql" value="true"/> -->
    <!-- <param name="enable-early-hangup" value="true"/> -->

    <!-- Allow multiple registrations to the same account in the central registration table -->
    <!-- <param name="multiple-registrations" value="true"/> -->
  </settings>

</configuration>
